﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Text;

public partial class Error : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            try
            {
                Exception ex = Server.GetLastError().GetBaseException();

                StringBuilder sb = new StringBuilder();
                sb.Append("<p>错误发生的时间：" + DateTime.Now.ToString() + "</p>");
                if (ex != null)
                {
                    // 错误的信息
                    sb.Append("<p>错误的信息：" + ex.Message + "</p>");
                    // 错误的堆栈
                    sb.Append("<p>错误的堆栈：" + ex.StackTrace.Replace(" ", "<br/>") + "</p>");
                    // 出错的方法名
                    sb.Append("<p>出错的方法名：" + ex.TargetSite.Name + "</p>");
                    // 出错的类名
                    sb.Append("<p>出错的类名：" + ex.TargetSite.DeclaringType.FullName + "</p>");
                }

                diverrormsg.InnerHtml = sb.ToString();
            }
            catch
            {
            }
            finally
            {
                //清空最后的错误
                Server.ClearError();
            }
        }
    }
}